Bug 858796 - Spec file improvements
Summary: Spec file improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-auctex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-19 17:17 UTC by Karel Klíč
Modified: 2013-03-03 23:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-24 03:24:02 UTC
Type: Bug


Attachments (Terms of Use)
Proposed changes (4.30 KB, application/octet-stream)
2012-09-19 17:17 UTC, Karel Klíč
no flags Details

Description Karel Klíč 2012-09-19 17:17:35 UTC
Created attachment 614488 [details]
Proposed changes

The emacs-auctex package could be improved to comply with recent Fedora packaging guidelines:

- License field should also include GFDL because of the documentation
- emacs-texlive-doc is GFDL-only
- ELisp source files should not be distributed in a separate subpackage

Version-Release number of selected component (if applicable):
emacs-auctex-11.86-8.fc18

I tried to prepare the changes, please find attached patch.

Comment 1 Jonathan Underwood 2012-09-19 22:57:50 UTC
Thanks Karel, much appreciated. You'd think, having written the Emacs packaging guidelines I'd have found time to fix my own packages to comply with them ... but alas, time starvation  :)

Have commited and pushed builds for f18 and master branches.

Comment 2 Fedora Update System 2012-09-19 23:05:55 UTC
emacs-auctex-11.86-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-auctex-11.86-9.fc18

Comment 3 Jonathan Underwood 2012-09-19 23:07:17 UTC
Incidentally - I don't know if you're a proven packager, but if you are, please feel free in future to commit changes on any packages I own - I'm not at all territorial about packages :).

Comment 4 Fedora Update System 2012-09-20 05:59:33 UTC
Package emacs-auctex-11.86-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-auctex-11.86-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14402/emacs-auctex-11.86-9.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-09-24 03:24:02 UTC
emacs-auctex-11.86-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.